# CudaExecutionProviderOption | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

# Interface CudaExecutionProviderOption

#### Hierarchy

- ExecutionProviderOption
  - CudaExecutionProviderOption

- Defined in inference-session.ts:181

#####
Index

### Properties

deviceId?
name

## Properties

### `Optional` deviceId

deviceId?: number

- Defined in inference-session.ts:183

### `Readonly` name

name: "cuda"

Overrides ExecutionProviderOption.name

- Defined in inference-session.ts:182

Generated using TypeDoc